
// For this I'd recommend using my water reglow shader in superman_b4. The shader below is now
// using the superman_b4 method.
// The purpose is to have a surface with no cull, and glows light below. I spent a LOT, -LOT- of time
// coming up with this particular shader. See this link for an example, summary:
// 
// 7-29-2005 Reglow - reverse glow shader
// http://gamedev.digitalamusement.com/archive12.shtml


textures/ut4_temple2_alpha1/temple_ripple2
{
	qer_editorimage textures/ut4_temple2_alpha1/pool3d_5c.jpg
	q3map_cloneshader textures/ut4_temple2_alpha1/reglow_assist
	qer_nocarve
	qer_trans 0.3
	surfaceparm noimpact
	surfaceparm water
	surfaceparm trans
	surfaceparm nocarve
	deformvertexes wave 512 sin 0 1 0 .20
	tesssize 64
	{
		map textures/ut4_temple2_alpha1/duck_pool2.tga
		blendfunc gl_dst_color gl_one
		rgbGen identity
		tcMod scroll -0.01 -.2
		tcMod turb 0 0.15 0 0.1
	}
	{
		map textures/ut4_temple2_alpha1/pool3d_3c.tga
		blendfunc gl_dst_color gl_dst_color
		tcMod scroll 0.01 -0.1
	}
	{
		map textures/ut4_temple2_alpha1/pool3d_3c.tga
		blendfunc gl_dst_color gl_dst_color
		tcMod scroll 0 -.15
	}
	{
		map textures/ut4_temple2_alpha1/pool3d_3c.tga
		blendfunc filter
		tcmod scale .5 .5
		tcMod scroll 0.001 0.01
		tcMod turb 0 0.1 0 0.1
		tcgen environment
	}
	{
		map $lightmap 
		blendfunc filter
	}
}


// waves
textures/ut4_temple2_alpha1/reglow_assist
{
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nocarve
	q3map_lightimage textures/ut4_temple2_alpha1/duck_pool2.jpg
	q3map_surfacelight 1500
	q3map_invert
	{
		map textures/ut4_temple2_alpha1/duck_pool2.tga
		blendfunc gl_dst_color gl_one
		rgbGen identity
		tcMod scroll -0.01 -.2
		tcMod turb 0 0.15 0 0.1
	}
	{
		map textures/ut4_temple2_alpha1/pool3d_3c.tga
		blendfunc gl_dst_color gl_dst_color
		tcMod scroll 0.01 -0.1
	}
	{
		map textures/ut4_temple2_alpha1/pool3d_3c.tga
		blendfunc gl_dst_color gl_dst_color
		tcMod scroll 0 -.15
	}
	{
		map textures/ut4_temple2_alpha1/pool3d_3c.tga
		blendfunc filter
		tcmod scale .5 .5
		tcMod scroll 0.001 0.01
		tcMod turb 0 0.1 0 0.1
		tcgen environment
	}
	{
		map $lightmap 
		blendfunc filter
	}

}